Create Avi Lb Cloud Account Async
Create an AVI Load Balancer cloud account in the current organization
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Cloud account AVI Load Balancer specification
Show optional properties
{
"name": "string",
"hostName": "avilb.mycompany.com",
"username": "[email protected]",
"password": "cndhjslacd90ascdbasyoucbdh",
"regions": [
{
"name": "europe-west2",
"externalRegionId": "europe-west2"
}
]
}
{
"name": "string",
"description": "string",
"hostName": "avilb.mycompany.com",
"username": "[email protected]",
"password": "cndhjslacd90ascdbasyoucbdh",
"acceptSelfSignedCertificate": false,
"tags": [
{
"key": "env",
"value": "dev"
}
],
"certificateInfo": {
"certificate": "-----BEGIN CERTIFICATE-----\nMIIDHjCCAoegAwIBAgIBATANBgkqhkiG9w0BAQsFADCBpjEUMBIGA1UEChMLVk13\nYXJlIEluYAAc1pw18GT3iAqQRPx0PrjzJhgjIJMla\n/1Kg4byY4FPSacNiRgY/FG2bPCqZk1yRfzmkFYCW/vU+Dg==\n-----END CERTIFICATE-----\n-"
},
"cloudAccountProperties": {
"cloud": "cloud-vsphere-connector",
"tenant": "mytenant",
"apiVersion": "22.0.1"
},
"createDefaultZones": false,
"regions": [
{
"name": "europe-west2",
"externalRegionId": "europe-west2"
}
]
}
A human-friendly name used as an identifier in APIs that support this option.
A human-friendly description.
Host name for the AVI Load Balancer endpoint
Username to authenticate with the cloud account
Password for the user used to authenticate with the cloud Account
Accept self signed certificate when connecting.
A set of tag keys and optional values to set on the Cloud Account
Specification for certificate for a cloud account.
Cloud Account specific properties supplied in as name value pairs
Create default zones for the enabled regions
A set of regions to enable provisioning on.Refer to /iaas/api/cloud-accounts/region-enumeration.
Accepted
{
"progress": 90,
"message": "In Progress",
"status": "FINISHED",
"resources": [
"/resources/i-0be3655a12fd28e8e",
"/resources/i-0be234a15ft8det3"
],
"name": "Power-off",
"id": "we655aew4e8e",
"selfLink": "/.../request-tracker/we655aew4e8e",
"deploymentId": "123e4567-e89b-12d3-a456-426614174000"
}
Progress of the request as percentage.
Status message of the request.
Status of the request.
Collection of resources.
Name of the operation.
ID of this request.
Self link of this request.
ID of the deployment, this request is connected to.
Invalid Request - bad data
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"hostName":"string","name":"string","password":"string","regions":["object"],"username":"string"}' https://{api_host}/iaas/api/cloud-accounts-avilb